Ubuntu

vmware tools dont compile with hardy

Reported by Ernesto Ruge on 2008-02-02
42
This bug affects 1 person
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Undecided
Unassigned
vmware-server (Ubuntu)
High
Brian Thomason

Bug Description

As the topic says, there are compile errors with myvmware fusion tools since hard.

Its kubuntu 64bit hardy, fresh install of a beta4 with all updates.

Here's the log:

infinity@infinite-vm-hardy:~/vmware/vmware-tools-distrib$ sudo ./vmware-install.pl
A previous installation of VMware Tools has been detected.

The previous installation was made by the tar installer (version 4).

Keeping the tar4 installer database format.

Uninstalling the tar installation of VMware Tools.

Stopping VMware Tools services in the virtual machine:
   Guest operating system daemon: done

File /etc/X11/xorg.conf is backed up to /etc/X11/xorg.conf.old.0.

The removal of VMware Tools 7.6.2 build-72241 for Linux completed successfully.
Thank you for having tried this software.

Installing VMware Tools.

In which directory do you want to install the binary files?
[/usr/bin]

What is the directory that contains the init directories (rc0.d/ to rc6.d/)?
[/etc]

What is the directory that contains the init scripts?
[/etc/init.d]

In which directory do you want to install the daemon files?
[/usr/sbin]

In which directory do you want to install the library files?
[/usr/lib/vmware-tools]

The path "/usr/lib/vmware-tools" does not exist currently. This program is
going to create it, including needed parent directories. Is this what you want?
[yes]

In which directory do you want to install the documentation files?
[/usr/share/doc/vmware-tools]

The path "/usr/share/doc/vmware-tools" does not exist currently. This program
is going to create it, including needed parent directories. Is this what you
want? [yes]

The installation of VMware Tools 7.6.2 build-72241 for Linux completed
successfully. You can decide to remove this software from your system at any
time by invoking the following command: "/usr/bin/vmware-uninstall-tools.pl".

Before running VMware Tools for the first time, you need to configure it by
invoking the following command: "/usr/bin/vmware-config-tools.pl". Do you want
this program to invoke the command for you now? [yes]

Stopping VMware Tools services in the virtual machine:
   Guest operating system daemon: done
Trying to find a suitable vmmemctl module for your running kernel.

None of the pre-built vmmemctl modules for VMware Tools is suitable for your
running kernel. Do you want this program to try to build the vmmemctl module
for your system (you need to have a C compiler installed on your system)?
[yes]

Using compiler "/usr/bin/gcc". Use environment variable CC to override.

What is the location of the directory of C header files that match your running
kernel? [/lib/modules/2.6.24-5-generic/build/include]

Extracting the sources of the vmmemctl module.

Building the vmmemctl module.

Using 2.6.x kernel build system.
make: Gehe in Verzeichnis '/tmp/vmware-config4/vmmemctl-only'
make -C /lib/modules/2.6.24-5-generic/build/include/.. SUBDIRS=$PWD SRCROOT=$PWD/. modules
make[1]: Betrete Verzeichnis '/usr/src/linux-headers-2.6.24-5-generic'
  CC [M] /tmp/vmware-config4/vmmemctl-only/backdoorGcc64.o
  CC [M] /tmp/vmware-config4/vmmemctl-only/os.o
In Datei, eingefügt von /tmp/vmware-config4/vmmemctl-only/os.c:51:
/tmp/vmware-config4/vmmemctl-only/compat_wait.h:55:5: Warnung: »VMW_HAVE_EPOLL« ist nicht definiert
/tmp/vmware-config4/vmmemctl-only/compat_wait.h:61:5: Warnung: »VMW_HAVE_EPOLL« ist nicht definiert
In file included from /tmp/vmware-config4/vmmemctl-only/os.c:51:
/tmp/vmware-config4/vmmemctl-only/compat_wait.h:78: Fehler: In Konflikt stehende Typen für »poll_initwait«
include/linux/poll.h:65: Fehler: Vorherige Deklaration von »poll_initwait« war hier
make[2]: *** [/tmp/vmware-config4/vmmemctl-only/os.o] Fehler 1
make[1]: *** [_module_/tmp/vmware-config4/vmmemctl-only] Fehler 2
make[1]: Verlasse Verzeichnis '/usr/src/linux-headers-2.6.24-5-generic'
make: *** [vmmemctl.ko] Fehler 2
make: Verlasse Verzeichnis '/tmp/vmware-config4/vmmemctl-only'
Unable to build the vmmemctl module.

The memory manager driver (vmmemctl module) is used by VMware host software to
efficiently reclaim memory from a virtual machine.
If the driver is not available, VMware host software may instead need to swap
guest memory to disk, which may reduce performance.
The rest of the software provided by VMware Tools is designed to work
independently of this feature.
If you want the memory management feature, you can install the driver by
running vmware-config-tools.pl again after making sure that gcc, binutils, make
and the kernel sources for your running kernel are installed on your machine.
These packages are available on your distribution's installation CD.
[ Press Enter key to continue ]

Trying to find a suitable vmhgfs module for your running kernel.

None of the pre-built vmhgfs modules for VMware Tools is suitable for your
running kernel. Do you want this program to try to build the vmhgfs module for
your system (you need to have a C compiler installed on your system)? [yes]

Extracting the sources of the vmhgfs module.

Building the vmhgfs module.

Using 2.6.x kernel build system.
make: Gehe in Verzeichnis '/tmp/vmware-config5/vmhgfs-only'
make -C /lib/modules/2.6.24-5-generic/build/include/.. SUBDIRS=$PWD SRCROOT=$PWD/. modules
make[1]: Betrete Verzeichnis '/usr/src/linux-headers-2.6.24-5-generic'
  CC [M] /tmp/vmware-config5/vmhgfs-only/backdoor.o
  CC [M] /tmp/vmware-config5/vmhgfs-only/backdoorGcc64.o
  CC [M] /tmp/vmware-config5/vmhgfs-only/bdhandler.o
In file included from /tmp/vmware-config5/vmhgfs-only/rpcout.h:30,
                 from /tmp/vmware-config5/vmhgfs-only/hgfsBd.h:28,
                 from /tmp/vmware-config5/vmhgfs-only/bdhandler.c:43:
/tmp/vmware-config5/vmhgfs-only/vm_basic_types.h:182: Fehler: Redefinition des typedef »uintptr_t«
include/linux/types.h:40: Fehler: Vorherige Deklaration von »uintptr_t« war hier
In Datei, eingefügt von /tmp/vmware-config5/vmhgfs-only/request.h:35,
                 von /tmp/vmware-config5/vmhgfs-only/bdhandler.c:48:
/tmp/vmware-config5/vmhgfs-only/compat_wait.h:55:5: Warnung: »VMW_HAVE_EPOLL« ist nicht definiert
/tmp/vmware-config5/vmhgfs-only/compat_wait.h:61:5: Warnung: »VMW_HAVE_EPOLL« ist nicht definiert
In file included from /tmp/vmware-config5/vmhgfs-only/request.h:35,
                 from /tmp/vmware-config5/vmhgfs-only/bdhandler.c:48:
/tmp/vmware-config5/vmhgfs-only/compat_wait.h:78: Fehler: In Konflikt stehende Typen für »poll_initwait«
include/linux/poll.h:65: Fehler: Vorherige Deklaration von »poll_initwait« war hier
make[2]: *** [/tmp/vmware-config5/vmhgfs-only/bdhandler.o] Fehler 1
make[1]: *** [_module_/tmp/vmware-config5/vmhgfs-only] Fehler 2
make[1]: Verlasse Verzeichnis '/usr/src/linux-headers-2.6.24-5-generic'
make: *** [vmhgfs.ko] Fehler 2
make: Verlasse Verzeichnis '/tmp/vmware-config5/vmhgfs-only'
Unable to build the vmhgfs module.

The filesystem driver (vmhgfs module) is used only for the shared folder
feature. The rest of the software provided by VMware Tools is designed to work
independently of this feature.
If you wish to have the shared folders feature, you can install the driver by
running vmware-config-tools.pl again after making sure that gcc, binutils, make
and the kernel sources for your running kernel are installed on your machine.
These packages are available on your distribution's installation CD.
[ Press Enter key to continue ]

Trying to find a suitable vmblock module for your running kernel.

None of the pre-built vmblock modules for VMware Tools is suitable for your
running kernel. Do you want this program to try to build the vmblock module
for your system (you need to have a C compiler installed on your system)?
[yes]

Extracting the sources of the vmblock module.

Building the vmblock module.

Using 2.6.x kernel build system.
make: Gehe in Verzeichnis '/tmp/vmware-config6/vmblock-only'
make -C /lib/modules/2.6.24-5-generic/build/include/.. SUBDIRS=$PWD SRCROOT=$PWD/. modules
make[1]: Betrete Verzeichnis '/usr/src/linux-headers-2.6.24-5-generic'
  CC [M] /tmp/vmware-config6/vmblock-only/linux/block.o
In Datei, eingefügt von /tmp/vmware-config6/vmblock-only/linux/os.h:35,
                 von /tmp/vmware-config6/vmblock-only/linux/block.c:26:
/tmp/vmware-config6/vmblock-only/./include/compat_wait.h:55:5: Warnung: »VMW_HAVE_EPOLL« ist nicht definiert
/tmp/vmware-config6/vmblock-only/./include/compat_wait.h:61:5: Warnung: »VMW_HAVE_EPOLL« ist nicht definiert
In file included from /tmp/vmware-config6/vmblock-only/linux/os.h:35,
                 from /tmp/vmware-config6/vmblock-only/linux/block.c:26:
/tmp/vmware-config6/vmblock-only/./include/compat_wait.h:78: Fehler: In Konflikt stehende Typen für »poll_initwait«
include/linux/poll.h:65: Fehler: Vorherige Deklaration von »poll_initwait« war hier
In file included from /tmp/vmware-config6/vmblock-only/linux/vmblockInt.h:40,
                 from /tmp/vmware-config6/vmblock-only/linux/block.c:29:
/tmp/vmware-config6/vmblock-only/./include/vm_basic_types.h:182: Fehler: Redefinition des typedef »uintptr_t«
include/linux/types.h:40: Fehler: Vorherige Deklaration von »uintptr_t« war hier
make[2]: *** [/tmp/vmware-config6/vmblock-only/linux/block.o] Fehler 1
make[1]: *** [_module_/tmp/vmware-config6/vmblock-only] Fehler 2
make[1]: Verlasse Verzeichnis '/usr/src/linux-headers-2.6.24-5-generic'
make: *** [vmblock.ko] Fehler 2
make: Verlasse Verzeichnis '/tmp/vmware-config6/vmblock-only'
Unable to build the vmblock module.

The vmblock module enables dragging or copying files from within a host and
dropping or pasting them onto your guest (host to guest drag and drop and file
copy/paste). The rest of the software provided by VMware Tools is designed to
work independently of this feature (including guest to host drag and drop and
file copy/paste).

If you would like the host to guest drag and drop and file copy/paste features,
you can install the driver by running vmware-config-tools.pl again after making
sure that gcc, binutils, make and the kernel sources for your running kernel
are installed on your machine. These packages are available on your
distribution's installation CD.
[ Press Enter key to continue ]

[EXPERIMENTAL] The Virtual Machine Communication Interface (VMCI) service
provides a new communication capability with the Host, primarily for
development at the moment. Would you like to enable this feature? [no]

Detected X.org version
This is a pre-release version of the X server from The X.Org Foundation.
It is not supported in any way.
Bugs may be filed in the bugzilla at http://bugs.freedesktop.org/.
Select the "xorg" product for bugs you find in this release.
Before reporting bugs in pre-release versions please check the
latest version in the X.Org Foundation git repository.
See http://wiki.x.org/wiki/GitPage for git access instructions.

X.Org X Server 1.4.0.90
Release Date: 5 September 2007
X Protocol Version 11, Revision 0
Build Operating System: Linux Ubuntu (xorg-server 2:1.4.1~git20080118-1ubuntu2)

Current Operating System: Linux infinite-vm-hardy 2.6.24-5-generic #1 SMP Thu
Jan 24 19:29:14 UTC 2008 x86_64
Build Date: 19 January 2008 07:45:28PM

        Before reporting problems, check http://wiki.x.org
        to make sure that you have the latest version.
Module Loader present
.

No drivers for X.org version:
This is a pre-release version of the X server from The X.Org Foundation.
It is not supported in any way.
Bugs may be filed in the bugzilla at http://bugs.freedesktop.org/.
Select the "xorg" product for bugs you find in this release.
Before reporting bugs in pre-release versions please check the
latest version in the X.Org Foundation git repository.
See http://wiki.x.org/wiki/GitPage for git access instructions.

X.Org X Server 1.4.0.90
Release Date: 5 September 2007
X Protocol Version 11, Revision 0
Build Operating System: Linux Ubuntu (xorg-server 2:1.4.1~git20080118-1ubuntu2)

Current Operating System: Linux infinite-vm-hardy 2.6.24-5-generic #1 SMP Thu
Jan 24 19:29:14 UTC 2008 x86_64
Build Date: 19 January 2008 07:45:28PM

        Before reporting problems, check http://wiki.x.org
        to make sure that you have the latest version.
Module Loader present
.

Do you want to change the display size that X starts with? (yes/no) [no]

Starting VMware Tools services in the virtual machine:
   Switching to guest configuration: done
   DMA setup: done
   Guest operating system daemon: done

The configuration of VMware Tools 7.6.2 build-72241 for Linux for this running
kernel completed successfully.

You must restart your X session before any mouse or graphics changes take
effect.

You can now run VMware Tools by invoking the following command:
"/usr/bin/vmware-toolbox" during an X server session.

To make use of the virtual printer, you will need to restart the CUPS service

If you wish to configure any experimental features, please run the following
command: "vmware-config-tools.pl --experimental".

Enjoy,

--the VMware team

infinity@infinite-vm-hardy:~/vmware/vmware-tools-distrib$

I can confirm for the 32bit version (Hardy, current version as of 2008-02-11)

Ernesto Ruge (the-infinity) wrote :

seems to be a vmware tools bug with kernel 2.6.24 in general ... the vmware fusion community said this ...

Changing to Invalid, because this cannot be dealt with in Ubuntu. Upstream is aware of the problem.
VMWare tools cannot be installed on systems running 2.6.24 kernel.

In the meantime you can try the vmware-any-any patches.
Links:
http://knihovny.cvut.cz/ftp/pub/vmware/ (download patch here)
http://vmware-forum.de/viewtopic.php?p=19895 (About vmware-any-any)
Warning: This includes some command line hackery and is not supported by Ubuntu or VMWare.

A workaround is to install the open-vm-tools from the Hardy repositories instead of the tools from VMware.
(They work besides some minor issues, which will hopefully be fixed until the release.)

Changed in linux-meta:
status: New → Invalid
Nick Barcet (nijaba) wrote :

Reopenning this bug as Canonical needs to have a fix for this and will see about it with vmware.

Changed in linux-meta:
importance: Undecided → High
milestone: none → ubuntu-8.04
status: Invalid → Confirmed
Rouben (rouben) wrote :

Confirmed here with latest release of vmware tools for VMware ESX 3.0.2. It would be nice if Ubuntu would either bundle compatible precompiled modules with the ESX tools tarball, or even better, include these modules and tools in the repository.

ESX, unlike VMware Server, absolutely relies on the vmmemctl driver as well as the VMware tools. It becomes especially important when it comes to memory management and VMotion (only available on ESX). As such, this bug is a major showstopper, because it prevents Ubuntu adoption on VMware ESX (read many, many enterprise clients).

While I realize this is a VMware bug, as Hanno said, Canonical should work definitely collaborate on this with VMware Inc.

Nick Barcet (nijaba) wrote :

After talking with Brian, it appears that VMware has decided to provide Canonical with the appropriate binaries a few days after we release 8.04 and Brian will package them ASAP for inclusion in the partner repository.

Changed in vmware-server:
assignee: nobody → brian-thomason
status: Confirmed → In Progress
Rouben (rouben) wrote :

Whatever happened to open-vm-tools? http://open-vm-tools.sourceforge.net/ Am I right to assume that this is an official VMware project on SourceForge?

I find that if I replace the source tarballs inside the VMware ESX 3.0.2 tools installer things compile just fine... I also saw references to that package in Hardy's repository before, however it seems to be gone now (or has it ever existed)? What's going on here?

I wonder why they were deleted from the archives and also why bug 193606 was declined for hardy, but until the "official" vmware tools get into the partner repository, you can install the open-vm-tools from my ppa: https://launchpad.net/~hanno-stock/+archive

You'll have to run a "sudo module-assistant install open-vm-source" afterwards to enable all kernel modules.

But being forced to use the partner repository for vmware tools is bad IMHO, especially since Hardy is advertised with "improved virtualization support".

Steve Langasek (vorlon) on 2008-04-25
Changed in vmware-server:
milestone: ubuntu-8.04 → ubuntu-8.04.1
Rouben (rouben) wrote :

Seeing how there are no updates on this bug, I feel compelled to share the following workaround. Here's what one needs to do to get VMware ESX 3.0.2's latest tools to compile properly on Hardy JeOS:

1. Start VMware Tools Install. Mount /media/cdrom (or whatever you call your CD-ROM drive) and grab the tools tarball from it. At the time of writing, the latest tarball name was VMwareTools-3.0.2-69376.tar.gz.
2. Copy the above mentioned tarball to root's home directory. Untar it the usual way (tar xvfz VMwareTools-3.0.2-69376.tar.gz).
3. Download the open-vm-tools source package from http://sourceforge.net/project/showfiles.php?group_id=204462 (I used the 2008.04.14 release; although there's a newer one now, I haven't tested it yet). Again, in my case the open-vm-tools tarball was named open-vm-tools-2008.04.14-87182.tar.gz.
4. Untar the open-vm-tools tarball the usual way as well with tar xvfz open-vm-tools-2008.04.14-87182.tar.gz.
5. For each subdirectory in open-vm-tools-2008.04.14-87182/modules/linux/, rename it to *-only and then create an uncompressed tarball named after the directory... in other words, vmmemctl directory gets renamed to vmmemctl-only and then packaged into vmmemctl.tar. When you untar the resulting tar archive, it should create the -only directory (i.e. it shoud be included in the tarball).
6. Replace the tarballs in vmware-tools-distrib/lib/modules/source with the tarballs you just created.
7. Run VMware tools install as usual. Things should compile OK.

I realize these steps are a tad painful, so I'll try including a tarball that contains all the tarballs from the open-vm-tools package premade already. All you need to do is copy them over to vmware-tools-distrib/lib/modules/source and run the installer. Note that these are the April 14th version, which is not necessarily the latest release of open-vm-tools.

I hope this helps someone... it certainly is an alternative to Hanno's solution, in case your site absolutely requires the use of the pre-bundled VMware tools package.

fadyek (fadyek) wrote :

Seems open-vm-tools don't include the modules required to install the free VMware Server: vmmon.tar, vmnet.tar, vmppuser.tar. Any work-around available?

Rouben (rouben) wrote :

Fadyek, please check my previous post on this bug, it contains an attachment which has the tarballs you seek, with the exception of vmppuser.tar. Hope this helps! :) Also try replacing the tarballs from my package to the one you're trying to compile, unless you're sure it's vmppuser.tar specifically that fails to build.

fadyek (fadyek) wrote :

Thanks Rouben for your effort.
Your attachment contains: vmdesched.tar, vmhgfs.tar, vmmemctl.tar, vmxnet.tar.
But the modules I am looking for in order to run VMware Server 1.0.5 are: vmmon.tar, vmnet.tar, (and maybe vmppuser.tar). Most probably your fix is applicable only for the commercial VMware ESX.

Anyways, I switched to virtualbox. It is sufficient for my purposes and seems to work faster than the vmware server. It seems that VMware is not interested in solving this bug.

Rouben (rouben) wrote :

Fadyek, I'm glad you got a solution. Your experience brings me to another point: is VMware going to release a proper VMware Tools package for Hardy or not? Debian users at least get the option of using open-vm-tools, which Ubuntu has removed from its package repositories (I am assuming this is in preparation for the official VMware package and not some political/contractual restriction; I would be deeply troubled if the latter was the case). I don't mean to nag, but it's been exactly one month since the original announcement of VMware's intentions to provide official packages (https://bugs.launchpad.net/ubuntu/+source/vmware-server/+bug/188391/comments/6). Any updates on that front? Thanks!

Steve Langasek (vorlon) on 2008-05-23
Changed in vmware-server:
assignee: nobody → brian-thomason
importance: Undecided → High
milestone: none → ubuntu-8.04.1
status: New → In Progress
milestone: ubuntu-8.04.1 → none

I am still waiting the same. Does anyone knows when this package is going to be available, and what willbe the package name?

Rouben (rouben) wrote :

I am in the same position, but quite frankly I am giving up on this. I'm just somewhat annoyed that Canonical decided to kill off the open-vm-tools package that I know to be working just fine, at least with VMware ESX 3.0.x.

fadyek: The fix I posted does have ESX-esque naming conventions for the modules. The fact of the matter is, I have a feeling that if you try open-vm-tools (maybe get it off packages.debian.org, because ubuntu killed their for some reason, even though they used to have it... no vlue as to why!), I have a feeling it will work. Since you're using VirtualBox, I'm not sure if you still want to try this for the purposes of experimentation... :)

fadyek (fadyek) wrote :

I might try it, Rouben. But quite frankly it is the least in my priorities, since I am already settled with Virtualbox. I hate to talk about it in a thread originally about vmware, but to make it short I find it much better and there is no reason (at least for a normal home user like me) to go back to vmware. I might try your solution sometime to run my vmware machines to take all the data from them.

fadyek wrote:
> ...I am already settled with Virtualbox. I hate to talk
> about it in a thread originally about vmware, but to make it short I
> find it much better and there is no reason (at least for a normal home
> user like me) to go back to vmware.
i must agree. i am forced to use ESX at work, but for my clients and my
own use, i am finding VirtualBox to be more than enough. i wonder how
many users VMWare is loosing due to just this issue? apparently, not
enough for them to care ;)

Wally Valters (wvalters) wrote :

This how to with open-vm-tools worked flawlessly btw, as a workaround while we are waiting for official packages. I substituted the latest open-vm package (pen-vm-tools-2008.07.01-102166), but other than that it works pretty much word-for-word. It is for VM-fusion, but worked under VMWare workstation 6

http://peterc.org/2008/62-how-to-install-vmware-tools-on-ubuntu-hardy-804-under-vmware-fusion.html

Anton W (anton-mbox) wrote :

How to install rpm Virtual Machine package in ubuntu 8.04 ? i have error message archive type not supported if i double clicked the rpm file.

Steve Langasek (vorlon) on 2008-08-05
Changed in vmware-server:
milestone: ubuntu-8.04.1 → ubuntu-8.04.2

At least on VMWare ESX 3.5.0 build 110271, VMWare Tools compile just fine in Ubuntu 8.04 kernel 2.6.24-19-server, without any special incantation . I cannot say VMWare Server, though. I know this is not useful in the context of this specific bug, but I thought it would be worth noting as other people have added comments with various hacks to compile VMWare Tools on ESX 3.0.2.

Vincent Pluk (v-pluk) wrote :

This is how I solved it:

- Download "ESX Server 3i U2 Installable Refresh Version 3.5 Update 2 | 110271 - 08/13/08" from https://www.vmware.com/
- Mount the ISO "VMware-VMvisor-InstallerCD-3.5.0_Update_2-110271.i386.iso"
- Unpack "install.tgz"
- Unpack "./usr/lib/vmware/installer/VMware-VMvisor-big-3.5.0_Update_2-110271.i386.dd.bz2"
- DiskDump the file to a a unused disk that is big enough: sudo dd if=VMware-VMvisor-big-3.5.0_Update_2-110271.i386.dd of=/dev/sdb
- Toggle or reboot to make new partitions available: sdb1 sdb4 sdb5 sdb6 sdb7 sdb8
- Mount /dev/sdb8
- In ./packages/3.5.0/vmtools/ you will find the new version of the VMware Tools voor Linux ISO: linux.iso
- Use linux.iso in your Ubuntu 8.04 VMware Guest to install the VMware Tools

Currently we run VMWare ESX 3.5.0 build 64607. I did some simple testing with VMware Tools build 110271 in a guest under our VMWare ESX 3.5.0 build 64607 server: getstatus, start, stop. All worked like a charme!

Vincent Pluk (v-pluk) wrote :

I forgot to mention, the VMware Guest I needed the VMware Tools for is an Ubuntu 8.04 Server, Linux testlab14 2.6.24-21-server #1 SMP Mon Aug 25 18:06:43 UTC 2008 i686 GNU/Linux

Rouben (rouben) wrote :

FYI, VMware does provide packages and even apt repositories with precompiled versions of both kernel modules and VMware Tools for Ubuntu 8.04 and 8.04.1 for ESX version 3.5:

http://www.vmware.com/download/packages.html

Steve Langasek (vorlon) on 2009-01-22
Changed in vmware-server:
milestone: ubuntu-8.04.2 → none
Vincent Pluk (v-pluk) wrote :

@Rouben

VMware Tools is a bit behind:
- VMware Tools: 2.6.24-19
- current Ubuntu Kernel: 2.6.24-23

At the moment: installing open-vm-tools will only install modules for the 2.6.24-19 kernel and this is not the active kernel used for booting on an up-2-date Ubuntu system. If you don't want to do some customization afterwards, this is not the way to go until VMware releases new versions in their repository.

Anyway this issue will be resolved when upgrading your ESX server or using a more recent VMware Tools installation. Newer VMware Tools Sources will be delivered with your new version of ESX.

Rouben (rouben) wrote :

Hi Vincent, I actually have a somewhat kludgy script that rebuilds these modules from sources on every reboot using module-assistant. There's probably a better way to do this, but my way seems to work just fine. Also the version of tools I'm getting with this repository seems to work much better than the version of tools that shipped with the latest patch of ESX... at the very least this version compiles and has proper 64-bit guest support. :)

[This is an automated message. Apologies if it has reached you inappropriately.]

This bug was reported against the linux-meta package when it likely should have been reported against the linux package instead. We are automatically transitioning this to the linux kernel package so that the appropriate teams are notified and made aware of this issue. Thanks.

affects: linux-meta (Ubuntu) → linux (Ubuntu)
tags: added: review-request

This bug is missing log files that will aid in diagnosing the problem. From a terminal window please run:

apport-collect 188391

and then change the status of the bug to 'Confirmed'.

If, due to the nature of the issue you have encountered, you are unable to run this command, please add a comment stating that fact and change the bug status to 'Confirmed'.

This change has been made by an automated script, maintained by the Ubuntu Kernel Team.

Changed in linux (Ubuntu):
status: New → Incomplete
Changed in linux (Ubuntu Hardy):
status: New → Incomplete
tags: added: hardy
Phillip Susi (psusi) wrote :

This package has been removed from Ubuntu. Closing all related bugs.

no longer affects: vmware-server (Ubuntu Hardy)
Changed in vmware-server (Ubuntu):
status: In Progress → Invalid
no longer affects: linux (Ubuntu Hardy)
Launchpad Janitor (janitor) wrote :

[Expired for linux (Ubuntu) because there has been no activity for 60 days.]

Changed in linux (Ubuntu):
status: Incomplete → Expired
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers